#include "../include/Cache_OneLevel.h"
#include <sstream>

namespace environment {
namespace cache {
namespace cache_onelevel {

  std::string Cache_OneLevel::information (uint32_t depth)
  {
    std::string tab(depth,'\t');
    std::stringstream output;
    
    output << tab << "<" << name << ">" << std::endl
	   << param->print(depth);

    return output.str();
  }
};
};
};
